#include<stdio.h>
#include<string.h>
int min(int a, int b)
{
	return (a<b)? a:b;
}
int poredjenje(char A[],char B[])
{
	int p,i;
	p=min(strlen(A),strlen(B));
		for(i=0;i<p;i++)
	{		
		if((int)A[i]>(int)B[i])
		break;
		if((int)A[i]==(int)B[i])
		{
			if(strlen(A)<strlen(B))
			break;
		}	
	}
	if(i<p)
	return 1;
	else
	return 2;
}
main()
{
	int i,p,ind=0;
	char A[20],B[20],C[20]; 
	scanf("%s%s%s",&A,&B,&C);
	if(poredjenje(A,B)==1)
	{
		if(poredjenje(A,C)==1)
		{
		printf("%s",A);
		ind=1;
		}
		else
		{
		printf("%s",C);
		ind=3;
		}
	}
	else if(poredjenje(A,B)==2)
	{
		if(poredjenje(B,C)==1)
		{
		printf("%s",B);
		ind=2;
		}
		else
		{
		printf("%s",C);
		ind=3;
		}
	}
	
	
	if(ind==1)
	{
		if(poredjenje(B,C)==1)
		{
		printf("%s",B);
		printf("%s",C);
		}
		else
		{
		printf("%s",C);
		printf("%s",B);
		}
	}
	if(ind==2)
	{
		if(poredjenje(A,C)==1)
		{
			printf("%s",A);
			printf("%s",C);
		}
		else
		{
			printf("%s",C);
			printf("%s",A);
		}
	}
	if(ind==3)
	{
		if(poredjenje(A,B)==1)
		{
			printf("%s",A);
			printf("%s",B);
		}
		else
		{
			printf("%s",B);
			printf("%s",A);
		}
	}
}